<script setup>

import InputError from "@/Components/InputError.vue";
import AuthenticatedLayout from '@/Layouts/AuthenticatedLayout.vue';
import { Head, Link, useForm, usePage } from '@inertiajs/vue3';
import Multiselect from "@vueform/multiselect";

const {user,restaurant,selectedCategories,category}=defineProps(['user','restaurant','selectedCategories','category']);

const generalForm = useForm({
    name: user.name,
    email: user.email,
    key:1,
});

const passwordForm = useForm({
    currentpassword: null,
    password: null,
    password_confirmation: null,
    key:2,
});

const restaurantForm=useForm({

    restaurant_name: restaurant.restaurant_name,
    categories: selectedCategories,
    address: restaurant.address,
    city: restaurant.city,
    state: restaurant.state,
    mobileNumber: restaurant.mobile_number,
    restaurantEmail: restaurant.email,
    website: restaurant.website,
    openingHours: restaurant.opening_hours,
    closingHours: restaurant.closing_hours,
    key:3,
})


const profilesubmit=()=>{
   
   generalForm.post(route("profile.update"));
}

const passwordsubmit = () => {
    passwordForm.post(route("profile.update"));
};

const restaurantsubmit =()=>{
    restaurantForm.post(route("profile.update"));
}
</script>

<template>

    <Head title="Profile" />

    <AuthenticatedLayout>
        <div class="position-relative mx-n4 mt-n4">
            <div class="profile-wid-bg profile-setting-img">
                <img src="assets/images/profile-bg.jpg" class="profile-wid-img" alt="">
            </div>
        </div>
      
        <div class="row">
            <div class="col-xxl-3">
                <div class="card mt-n5">
                    <div class="card-body p-4">
                        <div class="text-center">
                            <div class="profile-user position-relative d-inline-block mx-auto  mb-4">
                                <img src="assets/images/users/avatar-1.jpg"
                                    class="rounded-circle avatar-xl img-thumbnail user-profile-image"
                                    alt="user-profile-image">
                                <div class="avatar-xs p-0 rounded-circle profile-photo-edit">
                                    <input id="profile-img-file-input" type="file" class="profile-img-file-input">
                                    <label for="profile-img-file-input" class="profile-photo-edit avatar-xs">
                                        <span class="avatar-title rounded-circle bg-light text-body">
                                            <i class="ri-camera-fill"></i>
                                        </span>
                                    </label>
                                </div>
                            </div>
                            <h5 class="fs-16 mb-1">{{ user.name }}</h5>
                        </div>
                    </div>
                </div>
                <!--end card-->
            </div>
         
            <!--end col-->
            <div class="col-xxl-9">
                <div class="card mt-xxl-n5">
                    <div class="card-header">
                        <ul class="nav nav-tabs-custom rounded card-header-tabs border-bottom-0" role="tablist">
                            <li class="nav-item" role="presentation">
                                <a class="nav-link active" data-bs-toggle="tab" href="#personalDetails" role="tab"
                                    aria-selected="true">
                                    <i class="fas fa-home"></i>
                                    Personal Details
                                </a>
                            </li>
                            <li class="nav-item" role="presentation">
                                <a class="nav-link" data-bs-toggle="tab" href="#changePassword" role="tab"
                                    aria-selected="false" tabindex="-1">
                                    <i class="far fa-user"></i>
                                    Change Password
                                </a>
                            </li>
                            <li class="nav-item" role="presentation" v-if="user.role==2">
                                <a class="nav-link" data-bs-toggle="tab" href="#experience" role="tab"
                                    aria-selected="false" tabindex="-1">
                                    <i class="far fa-envelope"></i>
                                    Restaurant
                                </a>
                            </li>

                        </ul>
                    </div>
                    <div class="card-body p-4">
                        <div class="tab-content">
                            <div class="tab-pane active show" id="personalDetails" role="tabpanel">
                                <form action="javascript:void(0);">
                                    <div class="row">
                                        <div class="col-lg-6">
                                            <div class="mb-3">
                                                <label for="name" class="form-label">Name <span
                                                        class="text-danger">*</span></label>
                                                <input type="text" class="form-control" placeholder="Name" v-model="generalForm.name" />
                                                <div v-if="generalForm.errors.name" class="text-danger">{{ generalForm.errors.name }}</div>

                                            </div>
                                        </div>
                                        <!--end col-->
                                        <div class="col-lg-6">
                                            <div class="mb-3">
                                                <label for="Email" class="form-label">Email<span
                                                        class="text-danger">*</span></label>
                                                <input type="text" class="form-control" placeholder="Email" v-model="generalForm.email" />
                                                <div v-if="generalForm.errors.email" class="text-danger">{{ generalForm.errors.email }}</div>
                                            </div>
                                        </div>

                                        <!--end col-->
                                        <div class="col-lg-12">
                                            <div class="hstack gap-2 justify-content-end">
                                                <button type="submit" class="btn btn-primary me-2" @click="profilesubmit">Submit</button>
                                                <Link class="btn btn-danger" :href="route('dashboard')">Cancel</Link>
                                            </div>
                                        </div>
                                        <!--end col-->
                                    </div>
                                    <!--end row-->
                                </form>
                            </div>
                            <!--end tab-pane-->
                            <div class="tab-pane" id="changePassword" role="tabpanel">
                                <form action="javascript:void(0);">
                                    <div class="row g-2">
                                        <div class="col-lg-4">
                                            <div>
                                                <label for="oldpasswordInput" class="form-label">Old
                                                    Password*</label>
                                                    <input type="password" class="form-control" placeholder="password"
                                                    v-model="passwordForm.currentpassword" />
                                                <div v-if="passwordForm.errors.currentpassword" class="text-danger">{{
                                                    passwordForm.errors.currentpassword
                                                    }}</div>
                                            </div>
                                        </div>
                                        <!--end col-->
                                        <div class="col-lg-4">
                                            <div>
                                                <label for="newpasswordInput" class="form-label">New
                                                    Password*</label>
                                                    <input type="password" class="form-control" placeholder="password"
                                                    v-model="passwordForm.password" />
                                                <div v-if="passwordForm.errors.password" class="text-danger">{{ passwordForm.errors.password
                                                    }}</div>
                                            </div>
                                        </div>
                                        <!--end col-->
                                        <div class="col-lg-4">
                                            <div>
                                                <label for="confirmpasswordInput" class="form-label">Confirm
                                                    Password*</label>
                                                    <input type="password" class="form-control" placeholder="password"
                                                    v-model="passwordForm.password_confirmation" />
                                                <div v-if="passwordForm.errors.password_confirmation" class="text-danger">{{
                                                    passwordForm.errors.password_confirmation
                                                    }}</div>
                                            </div>
                                        </div>
                                        <!--end col-->
                                        <div class="col-lg-12">
                                            <div class="hstack gap-2 justify-content-end">
                                                <button type="submit" class="btn btn-primary me-2" @click="passwordsubmit">Submit</button>
                                                <Link class="btn btn-danger" :href="route('dashboard')">Cancel</Link>
                                            </div>
                                        </div>
                                        <!--end col-->
                                    </div>
                                    <!--end row-->
                                </form>

                            </div>
                            <!--end tab-pane-->
                            <div class="tab-pane" id="experience" role="tabpanel">
                                <form action="javascript:void(0);">
                                    <div class="row">
                                        <div class="col-lg-6">
                                            <div class="mb-3">
                                                <label for="name" class="form-label">
                                                    Name</label>
                                                <input type="text" class="form-control" id="restaurant_name"
                                                placeholder="Enter Restaurant Name" v-model="restaurantForm.restaurant_name" />
                                            <InputError class="mt-2 text-danger"
                                                :message="restaurantForm.errors.restaurant_name" />
                                            </div>
                                        </div>
                                        <!--end col-->
                                        <div class="col-lg-6">
                                            <div class="mb-3">
                                                <label for="address" class="form-label">
                                                    Address</label>
                                                    <input type="text" class="form-control" id="address"
                                                    placeholder="Enter Address" v-model="restaurantForm.address" />
                                                <InputError class="mt-2 text-danger" :message="restaurantForm.errors.address" />
                                            </div>
                                        </div>
                                        <!--end col-->
                                        <div class="col-lg-6">
                                            <div class="mb-3">
                                                <label for="city" class="form-label">city</label>
                                                <input type="text" class="form-control" id="city" placeholder="Enter City"
                                                v-model="restaurantForm.city" />
                                            <InputError class="mt-2 text-danger" :message="restaurantForm.errors.city" />
                                            </div>
                                        </div>
                                        <!--end col-->
                                        <div class="col-lg-6">
                                            <div class="mb-3">
                                                <label for="state" class="form-label">state</label>
                                                <input type="text" class="form-control" id="state" placeholder="Enter State"
                                                v-model="restaurantForm.state" />
                                            <InputError class="mt-2 text-danger" :message="restaurantForm.errors.state" />
                                            </div>
                                        </div>
                                        <!--end col-->
                                        <div class="col-lg-6">
                                            <div class="mb-3">
                                                <label for="mobile_number" class="form-label">Mobile Number</label>
                                                <input type="text" class="form-control" id="website"
                                                placeholder="Enter Website" v-model="restaurantForm.website" />
                                            <InputError class="mt-2 text-danger" :message="restaurantForm.errors.website" />
                                            </div>
                                        </div>
                                        <!--end col-->
                                        <div class="col-lg-6">
                                            <div class="mb-3">
                                                <label for="skillsInput" class="form-label">Type of Cuisine</label>
                                                <Multiselect v-model="restaurantForm.categories" :options="category" mode="tags"
                                                valueProp="id" label="category_name" />
                                            <InputError class="mt-2 text-danger" :message="restaurantForm.errors.categories" />
                                            </div>
                                        </div>

                                        <!--end col-->
                                        <div class="col-lg-6">
                                            <div class="mb-3">
                                                <label for="email" class="form-label">email</label>
                                                <input type="email" class="form-control" id="email"
                                                placeholder="Enter restaurant Email" v-model="restaurantForm.restaurantEmail" />
                                            <InputError class="mt-2 text-danger"
                                                :message="restaurantForm.errors.restaurantEmail" />
                                            </div>
                                        </div>
                                        <!--end col-->
                                        <div class="col-lg-6">
                                            <div class="mb-3">
                                                <label for="website" class="form-label">website</label>
                                                <input type="text" class="form-control" id="website"
                                                placeholder="Enter Website" v-model="restaurantForm.website" />
                                            <InputError class="mt-2 text-danger" :message="restaurantForm.errors.website" />
                                            </div>
                                        </div>
                                        <!--end col-->
                                        <div class="col-lg-6">
                                            <div class="mb-3">
                                                <label for="opening_hours" class="form-label">Opening Hours</label>
                                                <input type="time" class="form-control" id="opening_hours"
                                                placeholder="Enter Opening Hours" v-model="restaurantForm.openingHours" />
                                            <InputError class="mt-2 text-danger" :message="restaurantForm.errors.openingHours" />
                                            </div>
                                        </div>
                                        <!--end col-->
                                        <div class="col-lg-6">
                                            <div class="mb-3">
                                                <label for="cpening_hours" class="form-label">Closing Hours</label>
                                                <input type="time" class="form-control" id="closing_hours"
                                                placeholder="Enter Closing Hours" v-model="restaurantForm.closingHours" />
                                            <InputError class="mt-2 text-danger" :message="restaurantForm.errors.closingHours" />
                                            </div>
                                        </div>
                                    </div>
                                        <!--end col-->
                                 
                                    <!--end row-->
                                </form>
                                <div class="col-lg-12">
                                    <div class="hstack gap-2 justify-content-end">
                                        <button type="submit" class="btn btn-primary me-2" @click="restaurantsubmit">Submit</button>
                                        <Link class="btn btn-danger" :href="route('dashboard')">Cancel</Link>
                                    </div>
                                </div>
                            </div>
                        
                            <!--end tab-pane-->

                            <!--end tab-pane-->
                        </div>
                    </div>
                </div>
            </div>
            <!--end col-->
        </div>

    </AuthenticatedLayout>
</template>

<style src="@vueform/multiselect/themes/default.css"></style>